
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>产品展示_<%=TD_home%></title>
<meta name="keywords" content="<%=Yifan_BigClass_key%>" />
<meta name="description" content="<%=Yifan_BigClass_des%>" />
</head>
<!--#include file="css_js.html" -->
<body>
<!--#include file="top.html" -->

<div id="zy">
  <div class="zy_main"> <div class="zy_left">
  <div class="left_bt"><B>Product</B>产品中心</div>
  <div class="left_nei">
    <UL>
       <%=TD_products_class%> 
    </UL>
  </div>
  <div class="left_tel"> 服务热线:<B><%=TD_tel%></B> </div>
</div>

    <div class="zy_right">
      <div class="right_bt"><B><%=daohan("BigClassName")%></B><span><p>您当前的位置: <%=TD_home%> > <a href="<%=TD_url%>">首页</a> > <a href="/Products/?<%=daohan("BigClassID")%>-1.html"><%=daohan("BigClassName")%></a> </p></span></div>
      <div class="right_nei">
        <dl>
        <%
BigClassID=ad
SmallClassID=b
if  not isnumeric(BigClassID)  or not isnumeric(SmallClassID) then
Response.Write "<script>alert('警告！请勿尝试注入！');history.go(-1);</script>" 
Response.End()
end if
set rs=server.createobject("adodb.recordset") 
if BigClassID="" then
exec="select * from products order by id desc"
end if
if BigClassID<>"" then
exec="select * from products where BigClassID="&BigClassID&" order by id desc"
end if
rs.open exec,conn,1,1
if rs.eof then
response.Write "&nbsp;暂无产品！"
else
rs.PageSize =""&TD_productsclass&"" '每页记录条数
iCount=rs.RecordCount '记录总数
iPageSize=rs.PageSize
maxpage=rs.PageCount 
page=b
if Not IsNumeric(page) or page="" then
page=1
else
page=cint(page)
end if
if page<1 then
page=1
elseif  page>maxpage then
page=maxpage
end if
rs.AbsolutePage=Page
if page=maxpage then
x=iCount-(maxpage-1)*iPageSize
else
x=iPageSize
end if
end if	
%>
<%For i=1 To x%>
<dt> <a href="/ShowProducts/?<%=rs("id")%>-1.html" title="<%=rs("title")%>"><img src="<%=rs("img")%>" alt="<%=rs("title")%>" width="218" height="110" /></a>
            <P><B> <%=i5808(rs("title"),26)%></B>           
          </dt>
  <%rs.movenext
next
%>          
</dl>
<div class="pageall">
            <%'以下显示分页
 call PageControl(iCount,maxpage,page,"border=0 align=center","<p align=center>")
rs.close
set rs=nothing
%>
            </div>
      </div>
    </div>
    <div class="clear"></div>
  </div>
</div>
 <!--#include file="foot.html" -->
</body>
</html>
